Category Archives: Ubuntu 14.04 LTS

Kept back packages in apt-get

I faced the following error/message in Ubuntu 14.04 LTS while updating my softwares through apt-get command:

The following packages have been kept back:
libglib2.0-0:i386 libhwloc-plugins
0 upgraded, 0 newly installed, 0 to remove and 2 not upgraded.

After some googling and reading some posts which were either inappropriate or risky/dangerous, I came up with the following solution that works every time and is safe.
Continue reading Kept back packages in apt-get